package com.eactive.eai.common.pushinfo;

public class PushInfoVO {
	
	private String guid;
	private String pushDvsnCode;
	private String pushTarget;
	private int pushTargetCount;
	//YYYYMMDDHHMI24SS
	private String pushDateTime;
	
	public PushInfoVO() {
		
	}
	
	public PushInfoVO(String guid) {
		this.guid = guid;
	}
	
	public PushInfoVO(String guid, String pushDvsnCode, String pushTarget, int pushTargetCount, String pushDateTime) {
		this.guid = guid;
		this.pushDvsnCode = pushDvsnCode;
		this.pushTarget = pushTarget;
		this.pushTargetCount = pushTargetCount;
		this.pushDateTime = pushDateTime;
	}

	public String getGuid() {
		return guid;
	}

	public void setGuid(String guid) {
		this.guid = guid;
	}

	public String getPushDvsnCode() {
		return pushDvsnCode;
	}

	public void setPushDvsnCode(String pushDvsnCode) {
		this.pushDvsnCode = pushDvsnCode;
	}

	public String getPushTarget() {
		return pushTarget;
	}

	public void setPushTarget(String pushTarget) {
		this.pushTarget = pushTarget;
	}

	public int getPushTargetCount() {
		return pushTargetCount;
	}

	public void setPushTargetCount(int pushTargetCount) {
		this.pushTargetCount = pushTargetCount;
	}

	public String getPushDateTime() {
		return pushDateTime;
	}

	public void setPushDateTime(String pushDateTime) {
		this.pushDateTime = pushDateTime;
	}

	@Override
	public String toString() {
		return "PushInfoVO [guid=" + guid + ", pushDvsnCode=" + pushDvsnCode + ", pushTarget=" + pushTarget
				+ ", pushTargetCount=" + pushTargetCount + ", pushDateTime=" + pushDateTime + "]";
	}
}
